summaryrefslogtreecommitdiff
path: root/init.d.runvdr.Debian
diff options
context:
space:
mode:
Diffstat (limited to 'init.d.runvdr.Debian')
-rwxr-xr-xinit.d.runvdr.Debian83
1 files changed, 83 insertions, 0 deletions
diff --git a/init.d.runvdr.Debian b/init.d.runvdr.Debian
new file mode 100755
index 0000000..6734249
--- /dev/null
+++ b/init.d.runvdr.Debian
@@ -0,0 +1,83 @@
+#! /bin/sh
+#
+# runvdr init.d script for Debain and compatible distributions
+#
+# by Udo Richter <udo_richter(a)gmx.de>
+# http://www.richter-udo.de/vdr/scripts.html#runvdr
+#
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Runvdr Extreme"
+NAME=runvdr
+DAEMON=/usr/local/bin/runvdr
+PIDFILE=/var/run/runvdr.pid
+SCRIPTNAME=/etc/init.d/runvdr
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+# Function that starts runvdr.
+#
+d_start() {
+ start-stop-daemon --start --background --quiet --pidfile $PIDFILE \
+ --exec $DAEMON --
+}
+
+#
+# Function that stops runvdr.
+#
+d_stop() {
+ $DAEMON --terminate --wait=30
+}
+
+#
+# Function that sends a restart to runvdr.
+#
+d_reload() {
+ $DAEMON --restart
+}
+
+#
+# Function that sends a dvb-reload to runvdr.
+#
+d_dvb_reload() {
+ $DAEMON --dvb-restart
+}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ stop)
+ echo "Stopping $DESC: $NAME".
+ d_stop
+ ;;
+ reload)
+ echo -n "Reloading $DESC configuration"
+ d_reload
+ echo "."
+ ;;
+ dvb-reload)
+ echo -n "Reloading $DESC configuration"
+ d_dvb_reload
+ echo "."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: $NAME"
+ d_stop
+ sleep 1
+ d_start
+ echo "."
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|dvb-restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0